Read AI SDR sequence settings
curl --request GET \
--url https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"offerId": 123,
"offerGenerationInputs": {
"companyName": "<string>",
"companyDescription": "<string>",
"icp": "<string>",
"reasonForOutreach": "<string>",
"caseStudies": [
"<string>"
],
"painPoints": [
"<string>"
],
"proofPoints": [
"<string>"
],
"valuePropositions": [
"<string>"
],
"callToActions": [
"<string>"
]
},
"toneOfVoice": {
"language": "englishUS",
"toneOfVoice": "confident",
"messageLength": "superShort",
"gender": "man"
},
"providerLLM": "claude",
"personalizationPoints": {
"basicResearch": true,
"companyResearch": {
"description": true,
"mission": true,
"techStack": true,
"tenKReport": true,
"recentReportForInvestors": true,
"financialReport": true,
"fundraisingResearch": true,
"challenges": true,
"recentNews": true,
"predictChallengesAndCompetitors": true,
"productsServicesDeepDive": true,
"mergersAcquisitions": true,
"customerReviews": true
},
"prospectResearch": {
"aboutSection": true,
"hobbiesInterests": true,
"quotes": true,
"achievements": true,
"careerSummary": true,
"jobResponsibilitiesInCurrentCompany": true,
"achievementsInCurrentCompany": true
},
"industryResearch": {
"recentIndustryNews": true,
"industryTrends": true,
"competitorsOverviewNews": true
},
"contactFields": {
"enabled": true,
"defaultFields": [
"firstName"
],
"customFieldIds": [
2
]
},
"customResearch": {
"enabled": true,
"instructions": "<string>"
}
},
"autopilot": {
"status": "enabled",
"isSearchInProgress": true,
"filters": {
"accountListIds": [
{
"value": 2,
"type": "include"
}
],
"industries": [
{
"value": "<string>",
"type": "include"
}
],
"companyLocations": [
{
"value": "<string>",
"type": "include"
}
],
"companySizes": [
"none"
],
"headcountGrowth": {
"min": 1,
"max": 1
},
"departmentHeadcountGrowth": {
"department": "<string>",
"min": 1,
"max": 1
},
"minRevenue": "zeroMillion",
"maxRevenue": "zeroMillion",
"accountKeywords": {
"values": [
{
"value": "<string>",
"type": "include"
}
],
"type": "or"
},
"isHiringOnLinkedIn": true,
"contactLocations": [
{
"value": "<string>",
"type": "include"
}
],
"jobTitles": [
{
"value": "<string>",
"type": "include"
}
],
"departments": [
{
"value": "<string>",
"type": "include"
}
],
"seniorities": [
"<string>"
],
"yearsInCompany": [
"none"
],
"contactKeywords": {
"values": [
{
"value": "<string>",
"type": "include"
}
],
"type": "or"
},
"changedJobIn90Days": true
},
"referenceUrl": "<string>",
"maxPeoplePerCompany": 123,
"maxPeopleToAddPerDay": 123,
"searchContactPhones": true,
"addContactsWithoutEmailAddresses": true
},
"playbookId": "<string>",
"knowledgeBaseId": 123,
"approvalMode": {
"enabled": true
},
"intentSignals": [
{
"type": "linkedInPostEngagers",
"postEngagers": {
"mode": "monitorProfiles",
"icpFitPercentage": 20,
"monitorProfiles": {
"monitorForDays": 2,
"profiles": [
{
"linkedInUrl": "<string>",
"numberOfPosts": 3
}
]
},
"monitorPosts": {
"postUrls": [
"<string>"
]
}
},
"competitorFollowers": {
"linkedInUrls": [
"<string>"
],
"entitiesToFind": 300,
"icpFitPercentage": 20
},
"technologyUsed": {
"industryId": 2,
"technologies": [
"<string>"
],
"useAndLogicInTechnologies": true,
"entitiesToFind": 250
},
"jobHiring": {
"keyword": "<string>",
"industries": [
2
],
"entitiesToFind": 250
}
}
]
}
Sequences
Read AI SDR sequence settings
Requires the
ai-sdr:read scope (or a broader one that includes it).
Read one sequence’s AI SDR settings: offer context, tone, LLM, intent signals, playbook, and approval mode.
GET
/
v3
/
sequences
/
ai-sdr
/
{sequence_id}
/
settings
Read AI SDR sequence settings
curl --request GET \
--url https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reply.io/v3/sequences/ai-sdr/{sequence_id}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"offerId": 123,
"offerGenerationInputs": {
"companyName": "<string>",
"companyDescription": "<string>",
"icp": "<string>",
"reasonForOutreach": "<string>",
"caseStudies": [
"<string>"
],
"painPoints": [
"<string>"
],
"proofPoints": [
"<string>"
],
"valuePropositions": [
"<string>"
],
"callToActions": [
"<string>"
]
},
"toneOfVoice": {
"language": "englishUS",
"toneOfVoice": "confident",
"messageLength": "superShort",
"gender": "man"
},
"providerLLM": "claude",
"personalizationPoints": {
"basicResearch": true,
"companyResearch": {
"description": true,
"mission": true,
"techStack": true,
"tenKReport": true,
"recentReportForInvestors": true,
"financialReport": true,
"fundraisingResearch": true,
"challenges": true,
"recentNews": true,
"predictChallengesAndCompetitors": true,
"productsServicesDeepDive": true,
"mergersAcquisitions": true,
"customerReviews": true
},
"prospectResearch": {
"aboutSection": true,
"hobbiesInterests": true,
"quotes": true,
"achievements": true,
"careerSummary": true,
"jobResponsibilitiesInCurrentCompany": true,
"achievementsInCurrentCompany": true
},
"industryResearch": {
"recentIndustryNews": true,
"industryTrends": true,
"competitorsOverviewNews": true
},
"contactFields": {
"enabled": true,
"defaultFields": [
"firstName"
],
"customFieldIds": [
2
]
},
"customResearch": {
"enabled": true,
"instructions": "<string>"
}
},
"autopilot": {
"status": "enabled",
"isSearchInProgress": true,
"filters": {
"accountListIds": [
{
"value": 2,
"type": "include"
}
],
"industries": [
{
"value": "<string>",
"type": "include"
}
],
"companyLocations": [
{
"value": "<string>",
"type": "include"
}
],
"companySizes": [
"none"
],
"headcountGrowth": {
"min": 1,
"max": 1
},
"departmentHeadcountGrowth": {
"department": "<string>",
"min": 1,
"max": 1
},
"minRevenue": "zeroMillion",
"maxRevenue": "zeroMillion",
"accountKeywords": {
"values": [
{
"value": "<string>",
"type": "include"
}
],
"type": "or"
},
"isHiringOnLinkedIn": true,
"contactLocations": [
{
"value": "<string>",
"type": "include"
}
],
"jobTitles": [
{
"value": "<string>",
"type": "include"
}
],
"departments": [
{
"value": "<string>",
"type": "include"
}
],
"seniorities": [
"<string>"
],
"yearsInCompany": [
"none"
],
"contactKeywords": {
"values": [
{
"value": "<string>",
"type": "include"
}
],
"type": "or"
},
"changedJobIn90Days": true
},
"referenceUrl": "<string>",
"maxPeoplePerCompany": 123,
"maxPeopleToAddPerDay": 123,
"searchContactPhones": true,
"addContactsWithoutEmailAddresses": true
},
"playbookId": "<string>",
"knowledgeBaseId": 123,
"approvalMode": {
"enabled": true
},
"intentSignals": [
{
"type": "linkedInPostEngagers",
"postEngagers": {
"mode": "monitorProfiles",
"icpFitPercentage": 20,
"monitorProfiles": {
"monitorForDays": 2,
"profiles": [
{
"linkedInUrl": "<string>",
"numberOfPosts": 3
}
]
},
"monitorPosts": {
"postUrls": [
"<string>"
]
}
},
"competitorFollowers": {
"linkedInUrls": [
"<string>"
],
"entitiesToFind": 300,
"icpFitPercentage": 20
},
"technologyUsed": {
"industryId": 2,
"technologies": [
"<string>"
],
"useAndLogicInTechnologies": true,
"entitiesToFind": 250
},
"jobHiring": {
"keyword": "<string>",
"industries": [
2
],
"entitiesToFind": 250
}
}
]
}
Authorizations
Response
AI SDR sequence settings
AI SDR-specific settings of a sequence. Returned by GET .../settings and PATCH .../settings. Generic sequence fields (name, schedule, accounts, etc.) come from the generic GET /v3/sequences/{id} and are NOT included here.